%define major 1
%define libname %mklibname cdaudio %{major}

Summary:	A library for controlling CD-ROM devices
Name:		libcdaudio
Version:	0.99.12
%define subrel	1
Release:	%mkrel 5
Group:		Sound
License:	GPL
URL:		http://libcdaudio.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-config
Patch0:		%{name}-0.99.10.config.patch
Patch1:		libcdaudio-0.99.12-CVE-2005-0706.patch
Patch2:		libcdaudio-0.99.12-CVE-2008-5030.patch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
libcdaudio is a library for controlling CD-ROM devices

%package -n	%{libname}
Summary:	A library for controlling CD-ROM devices
Group:		System/Libraries

%description -n	%{libname}
libcdaudio is a library for controlling CD-ROM devices

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	cdaudio-devel = %{version}-%{release}
Obsoletes:      cdaudio-devel

%description -n	%{libname}-devel
This package contains the headers that programmers will need to develop 
applications which will use %{name}.

%prep

%setup -q
%patch0
%patch1 -p0 -b .cve-2005-0706
%patch2 -p0 -b .cve-2008-5030

cp %{SOURCE1} cdserver

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall
chmod 644 %{buildroot}%{_libdir}/libcdaudio.la

install -d -m 755 %{buildroot}/%{_sysconfdir}
install -m 644 cdserver %{buildroot}/%{_sysconfdir}

%multiarch_binaries %buildroot%_bindir/libcdaudio-config

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr (-,root,root)
%doc README NEWS AUTHORS COPYING ChangeLog
%{_sysconfdir}/cdserver
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr (-,root,root)
%_bindir/libcdaudio-config
%multiarch %_bindir/*/libcdaudio-config
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_datadir}/aclocal/*
%{_libdir}/pkgconfig/libcdaudio.pc


%changelog
* Thu Nov 20 2008 Vincent Danen <vdanen@mandriva.com> 0.99.12-5.1mdv2008.1
- P1: security fix for CVE-2005-0706 (fixed previously in MDKSA-2005:075, but looks
  like it never made it to cooker for some reason)
- P2: security fix for CVE-2008-5030

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.99.12-5mdv2008.1
+ Revision: 150486
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 02 2007 Anssi Hannula <anssi@mandriva.org> 0.99.12-4mdv2008.0
+ Revision: 77740
- readd devel provides
- make the devel package not obsolete itself

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99.12-3mdv2008.0
+ Revision: 76796
- new devel naming
- bunzip S1


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 0.99.12-2mdv2007.0
+ Revision: 108678
- Import libcdaudio

* Sun Jan 14 2007 Gtz Waschk <waschk@mandriva.org> 0.99.12-2mdv2007.1
- unpack the patch

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.99.12-2mdk
- Rebuild

* Wed Jul 20 2005 Gtz Waschk <waschk@mandriva.org> 0.99.12-1mdk
- new URL
- New release 0.99.12

* Sat Jun 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.99.10-3mdk 
- use a central configuration file
- run libtoolize now
- source file is not versioned
- spec cleanup

* Mon Feb 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.99.10-2mdk
- multiarch

* Wed Apr 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.10-1mdk
- add pkgconfig file
- use mklibname
- autoconf2.5 macro
- don't run libtoolize
- new version

